Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Interface IExtendedPropertySource

All Superinterfaces:
  ICompositePropertySource, IPropertySource

All Known Implementing Classes:
  PropertySource

    public interface IExtendedPropertySource

extends ICompositePropertySource

Method Summary
`void` `addProperty(java.lang.Object id, java.lang.Object property)` add properties to the properties map
`void` `addPropertyDescriptor(IExtendedPropertyDescriptor propertyDescriptor)` Adds propertyDescriptor to this property source.
`java.lang.Object` `getElement()` Returns the element.
`java.util.Map` `getProperties()` Returns the properties.
`boolean` `isDirty()` Return if the dirty flag.
`boolean` `isValueOkay(java.lang.Object id, java.lang.Object value)` Returns true if the property value is not equal to BLANK as displayed in multiple select unequal values.
`void` `refresh()` Refresh properties
`void` `removeProperty(java.lang.Object id)` removes properties from the properties map
`void` `setDirty(boolean flag)` Set the dirty flag to boolean.
`void` `setElement(java.lang.Object element)` Set the element of which the properties belong to.

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.ICompositePropertySource
`addPropertySource`

Methods inherited from interface org.eclipse.ui.views.properties.IPropertySource
`getEditableValue, getPropertyDescriptors, getPropertyValue, isPropertySet, resetPropertyValue, setPropertyValue`

Method Detail

### getElement

    java.lang.Object getElement()

  Returns the element.

  Returns:
    Object

### addProperty

    void addProperty(java.lang.Object id,
                     java.lang.Object property)

  add properties to the properties map

  Parameters:
    `id` - Object
    `property` - Object

### removeProperty

    void removeProperty(java.lang.Object id)

  removes properties from the properties map

  Parameters:
    `id` - Object

### addPropertyDescriptor

    void addPropertyDescriptor(IExtendedPropertyDescriptor propertyDescriptor)

  Adds propertyDescriptor to this property source.

  Parameters:
    `propertyDescriptor` - IExtendedPropertyDescriptor that is to be added

### setElement

    void setElement(java.lang.Object element)

  Set the element of which the properties belong to.

  Parameters:
    `element` - Object The element to which the properties belong to.

### setDirty

    void setDirty(boolean flag)

  Set the dirty flag to boolean. This functionality is used when the property source itself is a value of a property and we need to show some value other than the editable value in case of multiple select unequal value.

  Parameters:
    `flag` - : Flag = true means dirty, Flag = false means not dirty.

### isDirty

    boolean isDirty()

  Return if the dirty flag.

  Returns:
    flag: True means dirty and viceversa.

### refresh

    void refresh()

  Refresh properties

### getProperties

    java.util.Map getProperties()

  Returns the properties.

  Returns:
    Map

### isValueOkay

    boolean isValueOkay(java.lang.Object id,
                        java.lang.Object value)

  Returns true if the property value is not equal to BLANK as displayed in multiple select unequal values.

  Parameters:
    `id` - property id
    `value` - value to verify
  Returns:
    `true` if value is ok, `false` otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.